Bug 587918 - Monitor doesn't turn on again after it's been suspended
Monitor doesn't turn on again after it's been suspended
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 10:58 EDT by Espen Stefansen
Modified: 2011-06-27 12:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:00:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Espen Stefansen 2010-05-01 10:58:36 EDT
Description of problem:
I have a r600 ATI card connected to my monitor with DisplayPort-cables. When my monitor goes into suspend, it won't come back on. This happens on 2.6.33.2 and 2.6.33.3, but not 2.6.33.1 and earlier.

In /var/log/messages i get the following:
Apr 30 16:34:22 localhost kernel: [drm:dp_link_train] *ERROR* clock recovery tried 5 times
Apr 30 16:34:22 localhost kernel: [drm:dp_link_train] *ERROR* clock recovery failed
Apr 30 16:34:22 localhost kernel: [drm:dp_link_train] *ERROR* channel eq failed: 5 tries
Apr 30 16:34:22 localhost kernel: [drm:dp_link_train] *ERROR* channel eq failed

lspci:
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3470


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
mesa-dri-drivers-7.8.1-2.fc13.x86_64
mesa-dri-drivers-experimental-7.8.1-2.fc13.x86_64
mesa-libGL-7.8.1-2.fc13.x86_64
mesa-libGLU-7.8.1-2.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-8.fc13.x86_64

Kernels that work:
kernel-2.6.33.1-24.fc13.x86_64

Kernels that doesn't work:
kernel-2.6.33.2-41.fc13.x86_64
kernel-2.6.33.2-57.fc13.x86_64
kernel-2.6.33.3-73.fc13.x86_64

How reproducible:


Steps to Reproduce:
1. Boot 2.6.33.2 or newer kernels
2. Screensaver turns on
3. Monitor suspends
  
Actual results:
Won't come back on

Expected results:
Monitor should be turned on again

Additional info:
Comment 1 Espen Stefansen 2010-06-09 14:55:42 EDT
It still doesn't work with these kernels:
kernel-2.6.33.3-85.fc13.x86_64
kernel-2.6.33.4-95.fc13.x86_64
kernel-2.6.33.5-112.fc13.x86_64

For me this makes all kernel-updates useless.
Comment 2 Espen Stefansen 2010-07-11 07:12:35 EDT
Still doesn't work on kernel-2.6.33.6-147.fc13.x86_64. :-(
Comment 3 Henry Kroll 2010-09-29 00:34:28 EDT
I have the same problem. Screen is black after suspend. As a workaround I have to press CTRL-ALT-F7 CTRL-ALT-F9, CTRL-ALT-F1 etc. until I get my desktop back.

$ lspci
02:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce 9600 GSO] (rev a2)
mesa-dri-drivers-experimental-7.9-0.8.fc14.x86_64
xorg-x11-drv-nouveau-0.0.16-12.20100920gitf1ac413.fc14.x86_64
Comment 4 Bug Zapper 2011-06-02 10:38:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:00:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.